%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           ircclient-qt
Version:        0.3.2
Release:        %mkrel 28
Summary:        A cross-platform IRC client library written with Qt 4
License:        GPLv2+
Group:          Networking/Other
URL:            http://bitbucket.org/jpnurmi/libircclient-qt/wiki/Home
Source:         http://bitbucket.org/jpnurmi/libircclient-qt/downloads/libircclient-qt-src-%{version}.tar.gz
BuildRequires:  icu-devel
BuildRequires:  qt4-devel

%description
IRCclient-qt is a fully Qt-based library to create IRC clients.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Main library for ircclient-qt
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
IRCclient-qt is a fully Qt-based library to create IRC clients.

%files -n %{libname}
%doc doc/*
%{_libdir}/libircclient-qt.so.%{major}
%{_libdir}/libircclient-qt.so.%{major}.*

#--------------------------------------------------------------------

%package -n %{develname}
Summary:        Header files for the ircclient-qt library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package includes the header files you will need to compile applications
for %{name}.

%files -n %{develname}
%doc examples/*
%{_qt4_includedir}/ircclient-qt/
%{_libdir}/libircclient-qt.so
%{_qt4_datadir}/mkspecs/features/libircclient-qt.prf

#--------------------------------------------------------------------

%prep
%setup -q -n libircclient-qt-%{version}

%build
%qmake_qt4
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.3.2-28.mga8
+ Revision: 1650890
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.3.2-27.mga8
+ Revision: 1601029
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.3.2-26.mga8
+ Revision: 1564465
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 0.3.2-25.mga8
+ Revision: 1534585
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 daviddavid <daviddavid> 0.3.2-24.mga8
+ Revision: 1449443
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.3.2-23.mga7
+ Revision: 1346098
- rebuild for icu

* Mon Aug 27 2018 daviddavid <daviddavid> 0.3.2-22.mga7
+ Revision: 1255087
- rebuild for new icu
+ kekepower <kekepower>
- Use new make macros

* Fri Dec 29 2017 wally <wally> 0.3.2-21.mga7
+ Revision: 1186979
- rebuild for new icu

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 0.3.2-20.mga6
+ Revision: 1092701
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 0.3.2-19.mga6
+ Revision: 1015052
- Rebuild due to the new ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.3.2-18.mga6
+ Revision: 917907
- rebuild for icu

* Sat Jul 25 2015 cjw <cjw> 0.3.2-17.mga6
+ Revision: 857334
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-16.mga5
+ Revision: 745450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-15.mga5
+ Revision: 680562
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 wally <wally> 0.3.2-14.mga5
+ Revision: 611923
- remove unneeded requires from devel pkg
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 0.3.2-13.mga4
+ Revision: 537665
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 0.3.2-12.mga4
+ Revision: 487483
- rebuild for icu 52

* Sun May 26 2013 fwang <fwang> 0.3.2-11.mga4
+ Revision: 428002
- rebuild for new icu

* Sat Jan 12 2013 umeabot <umeabot> 0.3.2-10.mga3
+ Revision: 354492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.3.2-9.mga3
+ Revision: 316644
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 0.3.2-8.mga3
+ Revision: 314775
- rebuild for new icu

* Wed May 30 2012 fwang <fwang> 0.3.2-7.mga3
+ Revision: 249629
- rebuild for new icu

* Mon Dec 26 2011 dmorgan <dmorgan> 0.3.2-6.mga2
+ Revision: 187982
- Use new qt4 macros
- Rebuild against new qt4 and new include path
+ dlucio <dlucio>
- imported package ircclient-qt


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-5mdv2011.0
+ Revision: 612407
- the mass rebuild of 2010.1 packages

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 0.3.2-4mdv2010.1
+ Revision: 526117
- rebuild for new icu

* Fri Mar 19 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.3.2-3mdv2010.1
+ Revision: 525152
- Rebuild

* Fri Nov 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.2-2mdv2010.1
+ Revision: 470451
- Fix lib name
- Clean Spec
    - Move file lists on package section
    - Fix description on the devel package
- Remove support for old releases no supported anymore

* Fri Nov 27 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.3.2-1mdv2010.1
+ Revision: 470426
- import ircclient-qt


* Thu Nov 26 2009 Daniel Lucio <dlucio@okay.com.mx> 0.3.2-1mdv2010.0
- First package
